# Interface ILightweightLabelDecorator

All Superinterfaces:
  `IBaseLabelProvider`

All Known Implementing Classes:
  `PrototypeDecorator`

public interface ILightweightLabelDecorator extends IBaseLabelProvider
The `ILightweightLabelDecorator` is a decorator that decorates using a prefix, suffix and overlay image rather than doing all of the image and text management itself like an `ILabelDecorator`.

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(Object element, IDecoration decoration)`
Calculates decorations based on element.

### Methods inherited from interface IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Method Details

### decorate

void decorate(Object element, IDecoration decoration)
Calculates decorations based on element.

Parameters:
  `element` - the element to decorate
  `decoration` - the decoration to set